<?

require_once'home.php';
echo $fs1;
$q1 = @mysql_query( @"select  *  from  `forum_topic` where `id`='".$id."' ;" );
$topic = @mysql_fetch_array(@$q1);
if (mysql_affected_rows() == 0){
echo $fs1;
echo '<b>Такой темы не существует! Возможно она была удалена модератором.</b>';
echo $fs2;
foot();
exit;
}

// Фиксация факта прочтения темы
$req = mysql_query("SELECT * FROM `forum_rdm` WHERE `topic_id` = '$id' AND `user_id` = '$row[id]' LIMIT 1");
if (mysql_num_rows($req) > 0) {
$res = mysql_fetch_assoc($req);
if ($topic['time'] > $res['time'])
 mysql_query("UPDATE `forum_rdm` SET `time` = '".time()."' WHERE `topic_id`='$id' AND `user_id` = '$row[id]'");
} else {
// Ставим метку о прочтении
mysql_query("INSERT INTO `forum_rdm` SET  `topic_id` = '$id', `user_id` = '$row[id]', `time` = '".time()."'");
}

if (isset($_GET['delf'])){
if ($row['level']>5){
$d = mysql_fetch_array(mysql_query("SELECT * FROM `forum_message` where id='".check(intval($_GET['delf']))."';"));
if($d['fale']!=NULL){unlink ('../forum/fail/'.$d['fale'].'');
mysql_query("UPDATE `forum_message` SET `fale` = 'del' WHERE `id` = '".check(intval($_GET['delf']))."'");}
}else{
$d = mysql_fetch_array(mysql_query("SELECT * FROM `forum_message` where id='".check(intval($_GET['delf']))."' and user_id='".$row['id']."';"));
if($d['fale']!=NULL){unlink ('../forum/fail/'.$d['fale'].'');
mysql_query("UPDATE `forum_message` SET `fale` = 'del' WHERE `id` = '".check(intval($_GET['delf']))."' and login='".$row['id']."'");}
}
header ('Location: ?'.SID);
}

$t_name = $topic ['name'];
$f = $topic ['section'];
$sf = $topic ['subfor'];

//@mysql_query ("Update users set for='".$f."', sfor='".$sf."', tema='".$id."' where id = '".$row['id']."' LIMIT 1");

$que = @mysql_query( "select * from  `forum_subfor` where id='$sf';" );
$dtm = @mysql_fetch_array( @$que );
$s_name = $dtm['name'];

$que = @mysql_query( "select * from  `forum_sections` where id='$f';" );
$dtm = @mysql_fetch_array( @$que );
$f_name = $dtm['name'];


if($err==1) echo '<font color="red"><b>Пустое сообщение!</b></font><br/>';
else if($err==2) echo '<font color="red"><b>Не пишите так часто!</b></font><br/>';
else if($err==3) echo '<font color="red"><b>Такое сообщение уже есть!</b></font><br/>';
else if($err==4) echo '<font color="red"><b>Запрещено загружать фаил более '.$limit_vid_muz.' кб !<br />Ваш фаил равен '.round($newdownsize/1024,1).' кб!</b></font><br/>';
else if($err==5) echo '<font color="red"><b>Данный формат запрещено использовать!!!</b></font><br/>';


echo '<dl><dt></dt></dl><a href="'.F.'">Форумы</a>|<a href="'.F.'subfs/'.$f.'">'.$f_name.'</a>';
echo '|<a href="'.F.'temes/'.$sf.'">'.$s_name.'</a>|<b>'.$t_name.'</b><dl><dt></dt></dl><a href="#down">Вниз</a> | <a href="./'.$page.'">Обновить</a> | <a href="'.F.'bookmarks/'.$id.'">В закладки</a> | ';

$q = @mysql_query( @"select * from  `forum_sections` WHERE id = '$f' ;" );
$sect = @mysql_fetch_array( @$q );


$que = @mysql_query( "select * from  `forum_sections` WHERE id = '$f';" );
$dtm = @mysql_fetch_array( @$que );
$f_name = $dtm['name'];
$t_name = $topic['name'];


$que = @mysql_query( "select * from  `forum_subfor` where id='$sf';" );
$dtm = @mysql_fetch_array( @$que );
$s_name = $dtm['name'];


if ($row['level']<5){
if ($topic['close'] == 0){
if ($topic['login']==$myid){ echo '<a href="'.F.'zakr/'.$id.'/'.$page.'">Закрыть</a>';
echo $topic['realid'] > 0 ? ' | <a href="'.F.'editvote/'.$id.'">Изменить опрос</a> | <a href="'.F.'delvote/'.$id.'">Удалить опрос</a>' : ' | <a href="'.F.'addvote/'.$id.'">Добавить опрос</a>'; }
}}
if ($row['level']>=5){
if ($topic['close'] == 1)
{echo '<a href="'.F.'admin/'.o2.'/'.$id.'/end">Открыть</a>|';
}else{
echo '<a href="'.F.'admin/o1/'.$id.'/end">Закрыть</a>|';
}
if ($topic['zak'] == 0){
echo '<a href="'.F.'admin/zak1/'.$id.'/and">Закрепить</a>|';
}else{
echo '<a href="'.F.'admin/zak2/'.$id.'/end">Открепить</a>|'; }

echo '<a href="'.F.'admin/d2/'.$id.'/end">Удалить</a>';
echo $topic['realid'] > 0 ? '|<a href="'.F.'editvote/'.$id.'">Изменить опрос</a>|<a href="'.F.'delvote/'.$id.'">Удалить опрос</a>|' : '|<a href="'.F.'addvote/'.$id.'">Добавить опрос</a>';
}

echo '<br />';

if ($topic['close'] == 1){
echo '<br /><b>Тема закрыта для обсуждения!</b><br />';
}else{   echo '<dl><dt></dt></dl>';
if($autorize) echo '<img src="'.H2.'img/add.png" alt="*"/> <a href="'.F.'addpost/'.$id.'/'.$page.'"><b>Ответить</b></a><dl><dt></dt></dl>';
if ($id == 131) require('umnik1.php');// Умник
}

$max = $row['max'];
$k_post=mysql_result(mysql_query("select COUNT(*) from forum_message WHERE `section` = '".$f."' and `topic` = '".$id."' and subfor = '".$sf."';"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

// Блок голосований
if ($topic['realid']) {
if (isset($_GET['clip']))
$clip_forum = '&amp;clip';
$vote_user = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_vote_us` WHERE `user`='$row[id]' AND `topic`='$id'"), 0);
$topic_vote = mysql_fetch_assoc(mysql_query("SELECT `name`, `time`, `count` FROM `forum_vote` WHERE `type`='1' AND `topic`='$id' LIMIT 1"));
echo $div4.'<b>'.check($topic_vote['name']).'</b>'.$div9;
echo $div3;
$vote_result = mysql_query("SELECT `id`, `name`, `count` FROM `forum_vote` WHERE `type`='2' AND `topic`='".$id."' ORDER BY `id` ASC");
if (!isset($_GET['vote_result']) && $row['id'] && $vote_user == 0) {
// Выводим форму с опросами
echo '<form action="'.F.'vote/'.$id.'" method="post">';
while ($vote = mysql_fetch_assoc($vote_result)) {
echo '<input type="radio" value="'.$vote['id'].'" name="vote"/> '.check($vote['name']).'<br />';
}
echo '<p><input type="submit" class="ibutton" name="submit" value="Голосовать"/><br /><a href="?vote_result'.$clip_forum.'">Результаты</a></p></form>';
} else {
// Выводим результаты голосования
echo '<small>';
while ($vote = mysql_fetch_assoc($vote_result)) {
$count_vote = $topic_vote['count'] ? round(100 / $topic_vote['count'] * $vote['count']) : 0;
echo check($vote['name']).' ['.$vote['count'].']<br />';
echo '<img src="'.F.'img.php?img='.$count_vote.'" alt="Рейтинг: '.$count_vote.'%" /><br />';
}
echo '</small>Опрошено: <b>'.$topic_vote['count'].'</b>';

//echo '<b><a href="'.F.'usvote/'.$id.'">'.$topic_vote['count'].'</a></b>';

if ($row['id'] && $vote_user == 0)
echo '<br /><a href="?">Голосовать</a>';
}
echo $div9;
}






$q2 = @mysql_query( @"SELECT * from `forum_message` WHERE `topic` = '".$id."' order by time limit $start, ".$max.";" );
$k = mysql_num_rows( $q2 );
if ( $k == 0 )
{
echo '<br /><b>Здесь сообщений пока нет :)</b><br />';
}
//$k_page2 = $k_post-$start;
$post_k=$start+1;
while($mess = @mysql_fetch_array(@$q2)){
$user = $mess['login'];
$q3 = @mysql_query( @"select * from  `users` WHERE id = '".$mess['login']."' ;" );
$sect3 = @mysql_fetch_array( @$q3 );
$login = $sect3['user'];
$logposts = $sect3['posts'];
$time = $mess['time'];
$m = $mess['id'];


if (empty($mess['privat'])){  // если написали не в Приват
echo "<br />";
echo $div2;
//echo "".$k_page2--.". ";
echo ($post_k++);

echo '. <a href="'.H2.$sect3['id'].'">'.nik($login).'</a> ';
if ($topic['close']!=1){
if ($row['id']!=$mess['login'])
{echo '<a href="'.F.'addpost/'.$id.'/'.$user.'/'.$page.'" title="Ответить">[Отв]</a>|<a href="'.F.'cit/'.$m.'/'.$page.'" title="Цитировать">[Цит]</a>|';}

if($row['level']>4)
{echo '<a href="'.F.'delpost/'.$m.'/'.$page.'" title="Удалить">[удал]</a>|';}
if(($row['level'] > 4 )&&($sect3['level']<=$row['level'])||($row['id']==$mess['login']))
{
echo '<a href="'.F.'editp/'.$m.'/'.$page.'" title="Изменить">[Изм]</a>';
}
}



echo date("[d.m в H:i", $time)."]";
$logposts = $sect3['posts'];
include'rat.php';

echo $div9;
if ($mess['cit']) echo "<div class=\"citata\"><i>".output_text($mess['cit'])."</i></div><br />";// Сцитата
if($row['sizep']==0)echo output_text($mess['msg']);
else{$msg=substr($mess['msg'], 0, $row['sizep']);
$kol=strlen($msg);
$msg=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$msg);
echo output_text($msg);
if (strlen($mess['msg'])>$row['sizep'])echo "<br /><a href=\"".F."read/$m/$page\">Читать все &gt;&gt;</a>\n";
}

if ($mess['fale']!=NULL){
echo "<br/>";
if ($mess['fale']==del)echo '&#160;Файл удален! ['.$mess['fname'].'|'.round($mess['size']/1024,1).' кб.]';
else{
echo "<br/>";
echo "Файл: <a href=\"".F."down/".$mess['id']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [ ".$mess['sfale']." |".round($mess['size']/1024,1)." кб.]";
if(($row['level']>5)&&($row['level']>=user_inf($mess['login'],'level'))||($row['id']==$mess['login']))echo '|<a href="?delf='.$m.'" title="Удалить">[удал]</a>';
}
}

if($row['redp']==1) echo $mess['izm'];// Сообщенио о редактировании поста

echo '<br/>';


}else if($mess['privat']==$row['id']||$mess['login']==$row['id']||$row['id']==10||$row['id']==11){ // Если приват = челу
echo '<br />';
echo $div2;
//echo "".$k_page2--.". ";
echo ($post_k++);

echo ". <a href=\"".H2.$sect3['id']."\">".nik($login)."</a> ";
if ($topic['close']!=1){
if ($row['id']!=$mess['login'])
{echo "<a href=\"".F."addpost/$id/$user/$page\" title=\"Ответить\">[Отв]</a>|<a href=\"".F."cit/$m/$page\" title=\"Цитировать\">[Цит]</a>|";}
if($row['level']>3)
{
echo '<a href="'.F.'delpost/'.$m.'/'.$page.'" title="Удалить">[удал]</a>|';}
if(($row['level'] > 3 )&&($sect3['level']<=$row['level'])||($row['id']==$mess['login']))
{
echo '<a href="'.F.'editp/'.$m.'/'.$page.'" title="Изменить">[Изм]</a>';
}
}


echo date("[d.m в H:i", $time)."]<font color=\"red\">Приватное!</font>";
include'rat.php';
echo $div9;
if ($mess['cit']) echo "<div class=\"citata\"><i>".output_text($mess['cit'])."</i></div><br />";// Сцитата
if($row['sizep']==0)echo output_text($mess['msg']);
else{
$msg=substr($mess['msg'], 0, $row['sizep']);
$kol=strlen($msg);
$msg=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$msg);
echo output_text($msg);
if (strlen($mess['msg'])>$row['sizep'])echo "<br /><a href=\"".F."read/$m/$page\">Читать все &gt;&gt;</a>\n";
}

if ($mess['fale']!=0){
echo "<br/>";
echo "Файл: <a href=\"".F."down/".$mess['id']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [".$mess['sfale']."|".round($mess['size']/1024,1)." кб.]";
if(($row['level']>5)&&(user_inf($row['level'],'level')>=user_inf($login,'level'))||($row['id']==$login))echo '|<a href="?delf='.$m.'" title="Удалить">[удал]</a>';
}
if($row['redp']==1) echo $mess['izm'];// Сообщенио о редактировании поста

echo '<br/>';
}else{ // если чел левыйecho '<br />';
echo $div2;
//echo "".$k_page2--.". ";
echo ($post_k++);

echo ". <a href=\"".H2.$sect3['id']."\">".nik($login)."</a> ";
if ($topic['close']!=1){

}


echo date("[d.m в H:i", $time)."]";
include'rat.php';
echo $div9;
echo 'Приватное сообщение, видит только адресат...';
echo '<br/>';
}


}
echo '<br /><dl><dt></dt></dl>';
if ($k_page>1)str2("".F."tema/$id",$k_page,$page); // Вывод страниц
echo '<br /><dl><dt></dt></dl>';
if ( $topic['close'] == 1 )
{
echo '<br /><b>Тема закрыта для обсуждения!</b><br/>';
}
else
{if($row['forma']==0&&$autorize)echo "<img src=\"".H2."img/add.png\" alt=\"[ADD]\"/> <a href=\"".F."addpost/$id/$page\"><b>Ответить</b></a><dl><dt></dt></dl>";
if($row['forma']==1&&$autorize) {if ($wap==2||$wap==3) echo "<form action=\"".F."addpost/$id/$page\" method=\"post\">";
echo "Сообщение:<br/>";
echo'<textarea cols="'.$row['pole2'].'" rows="'.$row['pole1'].'" name="msg" ></textarea><br />';
echo "<input type=\"hidden\" name=\"f\" value=\"".$f."\"/>";
echo "<input type=\"hidden\" name=\"sf\" value=\"".$sf."\"/>";
echo "<input type=\"hidden\" name=\"t\" value=\"".$id."\"/>";
echo "<input type=\"hidden\" name=\"nk\" value=\"".$nk."\"/>";
echo "<input type=\"hidden\" name=\"mod\" value=\"addpost\"/>";
echo "<input type=\"hidden\" name=\"act\" value=\"act\"/>";
if ($wap=="1"){

echo $fs1;
echo "<anchor title=\"go\">Добавить<go href=\"?\" method=\"post\">";
echo "<postfield name=\"msg\" value=\"$(msg)\"/>";
echo "<postfield name=\"f\" value=\"$f\"/>";
echo "<postfield name=\"sf\" value=\"$sf\"/>";
echo "<postfield name=\"t\" value=\"$id\"/>";
echo "<postfield name=\"mod\" value=\"addpost\"/>";
echo "<postfield name=\"act\" value=\"act\"/>";
echo "</go></anchor>";
echo $fs2;
echo "<br/>";
}else{
echo "<input type=\"submit\" class=\"ibutton\" value=\"Добавить\" class=\"cp\"><br />";
}}
 }
echo '<a name="down"></a>';

echo "<br /><dl><dt></dt></dl>";
echo "<a href=\"#up\">Вверх</a> | ";
echo $fs2;

?>